Segments
Segments entities and endpoints of the Amplify API.
Segments give the ability to segment customers based on their actions, and retarget them with new or existing campaigns. This translates into your campaigns reaching a highly engaged audience that is more likely to convert and fulfill your brand's goals. With this functionality you'll be able to segment customers in two ways: Audience Retargeting (Type: PIXEL) and Story Sequencing (Type: CLICKERS).
Please note: The PIXEL feature requires the installation of the Outbrain Custom Audience pixel, which can be retrieved from your account on Outbrain.com. If you have the old audience pixel installed, you will need to remove that before installing the new pixel. For additional information regarding obtaining and installing the pixel properly, please visit our help center here: http://help.outbrain.com/customer/en/portal/articles/2809479-how-can-i-create-custom-audiences
Segment
The Segment object has the following attributes:
| Property | Type | Semantic | Example | Comments |
|---|---|---|---|---|
| id | String | segment id. read-only | "00f4b02153ee75f3c9dc4fc128ab041962" | |
| name | String | segment name. | "My Segment" | |
| description | String | segment description. | "all clicks which originated from..." | |
| marketerId | String | marketer id. read-only | "00f4b02153ee75f3c9dc4fc128ab041971" | |
| segmentType | SegmentType | the type of the segment. read-only | ||
| pixelTypeRules | PixelTypeRules | an object describing rules defining membership to PIXEL segment. | only applicable to segments of type PIXEL | |
| conversion | SegmentConversion | an object describing the conversion the segment is based on. For segment type VALUABLE_CONVERSION contains also the rule that defines membership to Value Based Converters segment. | only applicable to segments of type CONVERSION or VALUABLE_CONVERSION | |
| clickersCampaigns | Array of String | a collection of campaign ids defining membership to CLICKERS segment | only applicable to segments of type CLICKERS | |
| enabled | Boolean | is the segment enabled. | ||
| membershipDuration | Integer | number of days a user should be attributed to a segment. | ||
| trackingStatus | TrackingStatus | indicates if the segment is active/inactive. The status will be "inactive" until the first user has been added to the cookie pool, once a user has been added the status will be “active” indicating the pixel is firing and collecting new users. read-only | "INACTIVE" | only applicable to segments of type PIXEL. Can only receive the value "true". |
| archived | Boolean | indicates if the segment is archived/un-archived. | ||
| size | Integer | number of distinct users that are part of the segment. read-only | ||
| subSegmentsSettings | Sub Segments Metadata | an object defining the sub segments in case it is a supported Lookalike seed segment read-only | ||
| lookalikeSettings | Lookalike Settings | an object describing the settings of a LOOK_A_LIKES segment | ||
| dmpInfo | DMP Info | an object describing the DMP segment | ||
| lastModified | Time | The time when the segment was last modified. read-only | "2013-03-16 10:32:31" | |
| creationTime | Time | The time when the segment was created. read-only | "2013-01-14 07:19:16" | |
| availability | Segment Availability | indicates the availability of the segment. read-only | [ACTIVE] [INACTIVE, "Segment size exceeded"] [DISABLED] |
Endpoints
- Retrieve a Single Segment —
GET /segments/{id} - Update an Existing Segment —
PUT /segments/{id}
Segments
The Segments object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| segments | Array of Segment | a collection of returned segments. read-only | |
| count | Integer | number of segments returned. | 1 |
Endpoints
- List all Segments of a Marketer —
GET /marketers/{marketerId}/segments{ - Create a new Segment —
POST /marketers/{marketerId}/segments{
Global Segments
Global Segments object is an array of SegmentGroup objects.
| Property | Type | Semantic |
|---|---|---|
| audienceIntelGroups | Array of [SegmentGroup] | An array of segment groups read-only |
SegmentGroup object is a logical segments group that has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| name | String | group name. read-only |
| subGroups | Array of [SegmentGroup] | An array of sub segment groups read-only |
| segments | [BasicGlobalSegment] | An array of global segments read-only |
BasicGlobalSegment is a global segment that has the following attributes:
| Property | Type | Semantic |
|---|---|---|
| id | String | segment id. read-only |
| name | String | segment name. read-only |
| description | String | segment description. read-only |
| size | Integer | number of distinct users that are part of the segment. read-only |
| effectiveSize | Integer | number of distinct active users that are part of the segment. read-only |
| dataVendorCost | Number | additional cost per click in dollar read-only |
| provider | String | The 3rd party provider of this segment. read-only |
| marketerAvailability | String | The country of this segment. read-only |
Endpoints
- Retrieve Global Segments —
GET /audienceIntelSegments/all
Targeting Campaigns Response
This section allows the ability to obtain a full list of campaigns targeted by given segment ids. Returns a Targeting Campaigns Response object
Endpoints
- List all Targeting Campaigns for Segments IDs —
POST /segments/targetingCampaigns